const express = require("express");
const cors = require('cors');
const { searchHandler } = require("./searches");

const app = express();
app.use(express.json());

const whitelist = ['http://www.mobosearch.org', 'http://test.mobosearch.org', 'http://localhost:63342', 'null'];
app.use(cors({
    origin: (origin, callback) => whitelist.indexOf(origin) !== -1 ?
        callback(null, true)
        :
        callback(new Error('Not allowed by CORS'))
}));

app.post('/search', searchHandler);

app.listen(9000, () => console.log(`OpenSearchUtility app listening on port 9000!`));